zenilib: zenilib/jni/external/openal-soft/OpenAL32/alFilter.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
alFilter.c File Reference
`#include "config.h"`
`#include <stdlib.h>`
`#include "alMain.h"`
`#include "alu.h"`
`#include "alFilter.h"`
`#include "alThunk.h"`
`#include "alError.h"`

Go to the source code of this file.

## Functions

AL_API ALvoid AL_APIENTRY | alDeleteFilters (ALsizei n, const ALuint *filters)
AL_API ALvoid AL_APIENTRY | alFilterf (ALuint filter, ALenum param, ALfloat value)
AL_API ALvoid AL_APIENTRY | alFilterfv (ALuint filter, ALenum param, const ALfloat *values)
AL_API ALvoid AL_APIENTRY | alFilteri (ALuint filter, ALenum param, ALint value)
AL_API ALvoid AL_APIENTRY | alFilteriv (ALuint filter, ALenum param, const ALint *values)
AL_API ALvoid AL_APIENTRY | alGenFilters (ALsizei n, ALuint *filters)
AL_API ALvoid AL_APIENTRY | alGetFilterf (ALuint filter, ALenum param, ALfloat *value)
AL_API ALvoid AL_APIENTRY | alGetFilterfv (ALuint filter, ALenum param, ALfloat *values)
AL_API ALvoid AL_APIENTRY | alGetFilteri (ALuint filter, ALenum param, ALint *value)
AL_API ALvoid AL_APIENTRY | alGetFilteriv (ALuint filter, ALenum param, ALint *values)
AL_API ALboolean AL_APIENTRY | alIsFilter (ALuint filter)
static void | InitFilterParams (ALfilter *filter, ALenum type)
static void | lp_GetParamf (ALfilter *filter, ALCcontext *context, ALenum param, ALfloat *val)
static void | lp_GetParamfv (ALfilter *filter, ALCcontext *context, ALenum param, ALfloat *vals)
static void | lp_GetParami (ALfilter *filter, ALCcontext *context, ALenum param, ALint *val)
static void | lp_GetParamiv (ALfilter *filter, ALCcontext *context, ALenum param, ALint *vals)
static void | lp_SetParamf (ALfilter *filter, ALCcontext *context, ALenum param, ALfloat val)
static void | lp_SetParamfv (ALfilter *filter, ALCcontext *context, ALenum param, const ALfloat *vals)
static void | lp_SetParami (ALfilter *filter, ALCcontext *context, ALenum param, ALint val)
static void | lp_SetParamiv (ALfilter *filter, ALCcontext *context, ALenum param, const ALint *vals)
ALfloat | lpCoeffCalc (ALfloat g, ALfloat cw)
static void | null_GetParamf (ALfilter *filter, ALCcontext *context, ALenum param, ALfloat *val)
static void | null_GetParamfv (ALfilter *filter, ALCcontext *context, ALenum param, ALfloat *vals)
static void | null_GetParami (ALfilter *filter, ALCcontext *context, ALenum param, ALint *val)
static void | null_GetParamiv (ALfilter *filter, ALCcontext *context, ALenum param, ALint *vals)
static void | null_SetParamf (ALfilter *filter, ALCcontext *context, ALenum param, ALfloat val)
static void | null_SetParamfv (ALfilter *filter, ALCcontext *context, ALenum param, const ALfloat *vals)
static void | null_SetParami (ALfilter *filter, ALCcontext *context, ALenum param, ALint val)
static void | null_SetParamiv (ALfilter *filter, ALCcontext *context, ALenum param, const ALint *vals)
ALvoid | ReleaseALFilters (ALCdevice *device)

## Function Documentation

AL_API ALvoid AL_APIENTRY alDeleteFilters | ( | ALsizei | n,
|  | const ALuint * | filters
| ) |  |

Definition at line 81 of file alFilter.c.

References al_endtry, AL_INVALID_NAME, al_throwerr, al_try, ALCcontext_DecRef(), CHECK_VALUE, ALCcontext_struct::Device, free, FreeThunkEntry(), GetContextRef(), i, ALfilter::id, LookupFilter, memset, NULL, and RemoveFilter.

Referenced by alGenFilters().

AL_API ALvoid AL_APIENTRY alFilterf | ( | ALuint | filter,
|  | ALenum | param,
|  | ALfloat | value
| ) |  |

Definition at line 190 of file alFilter.c.

References AL_INVALID_NAME, ALCcontext_DecRef(), ALfilter_SetParamf, alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupFilter, and NULL.

AL_API ALvoid AL_APIENTRY alFilterfv | ( | ALuint | filter,
|  | ALenum | param,
|  | const ALfloat * | values
| ) |  |

Definition at line 211 of file alFilter.c.

References AL_INVALID_NAME, ALCcontext_DecRef(), ALfilter_SetParamfv, alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupFilter, and NULL.

AL_API ALvoid AL_APIENTRY alFilteri | ( | ALuint | filter,
|  | ALenum | param,
|  | ALint | value
| ) |  |

Definition at line 131 of file alFilter.c.

References AL_FILTER_LOWPASS, AL_FILTER_NULL, AL_FILTER_TYPE, AL_INVALID_NAME, AL_INVALID_VALUE, ALCcontext_DecRef(), ALfilter_SetParami, alSetError(), ALCcontext_struct::Device, GetContextRef(), InitFilterParams(), LookupFilter, and NULL.

Referenced by alFilteriv().

AL_API ALvoid AL_APIENTRY alFilteriv | ( | ALuint | filter,
|  | ALenum | param,
|  | const ALint * | values
| ) |  |

Definition at line 162 of file alFilter.c.

References AL_FILTER_TYPE, AL_INVALID_NAME, ALCcontext_DecRef(), ALfilter_SetParamiv, alFilteri(), alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupFilter, and NULL.

AL_API ALvoid AL_APIENTRY alGenFilters | ( | ALsizei | n,
|  | ALuint * | filters
| ) |  |

Definition at line 35 of file alFilter.c.

References al_catchany, al_endtry, AL_FILTER_NULL, AL_NO_ERROR, AL_OUT_OF_MEMORY, al_throwerr, al_try, ALCcontext_DecRef(), alDeleteFilters(), calloc, CHECK_VALUE, ALCcontext_struct::Device, ALCdevice_struct::FilterMap, free, FreeThunkEntry(), GetContextRef(), ALfilter::id, InitFilterParams(), InsertUIntMapEntry(), memset, and NewThunkEntry().

AL_API ALvoid AL_APIENTRY alGetFilterf | ( | ALuint | filter,
|  | ALenum | param,
|  | ALfloat * | value
| ) |  |

Definition at line 286 of file alFilter.c.

References AL_INVALID_NAME, ALCcontext_DecRef(), ALfilter_GetParamf, alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupFilter, and NULL.

AL_API ALvoid AL_APIENTRY alGetFilterfv | ( | ALuint | filter,
|  | ALenum | param,
|  | ALfloat * | values
| ) |  |

Definition at line 307 of file alFilter.c.

References AL_INVALID_NAME, ALCcontext_DecRef(), ALfilter_GetParamfv, alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupFilter, and NULL.

AL_API ALvoid AL_APIENTRY alGetFilteri | ( | ALuint | filter,
|  | ALenum | param,
|  | ALint * | value
| ) |  |

Definition at line 232 of file alFilter.c.

References AL_FILTER_TYPE, AL_INVALID_NAME, ALCcontext_DecRef(), ALfilter_GetParami, alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupFilter, NULL, and ALfilter::type.

Referenced by alGetFilteriv().

AL_API ALvoid AL_APIENTRY alGetFilteriv | ( | ALuint | filter,
|  | ALenum | param,
|  | ALint * | values
| ) |  |

Definition at line 258 of file alFilter.c.

References AL_FILTER_TYPE, AL_INVALID_NAME, ALCcontext_DecRef(), ALfilter_GetParamiv, alGetFilteri(), alSetError(), ALCcontext_struct::Device, GetContextRef(), LookupFilter, and NULL.

AL_API ALboolean AL_APIENTRY alIsFilter | ( | ALuint | filter | ) |

Definition at line 115 of file alFilter.c.

References AL_FALSE, AL_TRUE, ALCcontext_DecRef(), ALCcontext_struct::Device, GetContextRef(), and LookupFilter.

static void InitFilterParams | ( | ALfilter * | filter,
|  | ALenum | type
| ) |  |

static

OpenAL cross platform audio library Copyright (C) 1999-2007 by authors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Or go to http://www.gnu.org/copyleft/lgpl.html

Definition at line 440 of file alFilter.c.

References AL_FILTER_LOWPASS, AL_LOWPASS_DEFAULT_GAIN, AL_LOWPASS_DEFAULT_GAINHF, ALfilter::Gain, ALfilter::GainHF, ALfilter::GetParamf, ALfilter::GetParamfv, ALfilter::GetParami, ALfilter::GetParamiv, lp_GetParamf(), lp_GetParamfv(), lp_GetParami(), lp_GetParamiv(), lp_SetParamf(), lp_SetParamfv(), lp_SetParami(), lp_SetParamiv(), null_GetParamf(), null_GetParamfv(), null_GetParami(), null_GetParamiv(), null_SetParamf(), null_SetParamfv(), null_SetParami(), null_SetParamiv(), ALfilter::SetParamf, ALfilter::SetParamfv, ALfilter::SetParami, ALfilter::SetParamiv, and ALfilter::type.

Referenced by alFilteri(), and alGenFilters().

static void lp_GetParamf | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | val
| ) |  |

static

Definition at line 382 of file alFilter.c.

References AL_INVALID_ENUM, AL_LOWPASS_GAIN, AL_LOWPASS_GAINHF, alSetError(), ALfilter::Gain, and ALfilter::GainHF.

Referenced by InitFilterParams(), and lp_GetParamfv().

static void lp_GetParamfv | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | vals
| ) |  |

static

Definition at line 399 of file alFilter.c.

References lp_GetParamf().

Referenced by InitFilterParams().

static void lp_GetParami | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | val
| ) |  |

static

Definition at line 378 of file alFilter.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitFilterParams().

static void lp_GetParamiv | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | vals
| ) |  |

static

Definition at line 380 of file alFilter.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitFilterParams().

static void lp_SetParamf | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat | val
| ) |  |

static

Definition at line 350 of file alFilter.c.

References AL_INVALID_ENUM, AL_INVALID_VALUE, AL_LOWPASS_GAIN, AL_LOWPASS_GAINHF, AL_LOWPASS_MAX_GAIN, AL_LOWPASS_MAX_GAINHF, AL_LOWPASS_MIN_GAIN, AL_LOWPASS_MIN_GAINHF, alSetError(), ALfilter::Gain, and ALfilter::GainHF.

Referenced by InitFilterParams(), and lp_SetParamfv().

static void lp_SetParamfv | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALfloat * | vals
| ) |  |

static

Definition at line 373 of file alFilter.c.

References lp_SetParamf().

Referenced by InitFilterParams().

static void lp_SetParami | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint | val
| ) |  |

static

Definition at line 346 of file alFilter.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitFilterParams().

static void lp_SetParamiv | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALint * | vals
| ) |  |

static

Definition at line 348 of file alFilter.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitFilterParams().

ALfloat lpCoeffCalc | ( | ALfloat | g,
|  | ALfloat | cw
| ) |  |

Definition at line 329 of file alFilter.c.

References maxf().

Referenced by CalcDampingCoeff(), CalcNonAttnSourceParams(), CalcSourceParams(), EchoUpdate(), and ReverbUpdate().

static void null_GetParamf | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | val
| ) |  |

static

Definition at line 418 of file alFilter.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitFilterParams().

static void null_GetParamfv | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat * | vals
| ) |  |

static

Definition at line 420 of file alFilter.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitFilterParams().

static void null_GetParami | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | val
| ) |  |

static

Definition at line 414 of file alFilter.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitFilterParams().

static void null_GetParamiv | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint * | vals
| ) |  |

static

Definition at line 416 of file alFilter.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitFilterParams().

static void null_SetParamf | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALfloat | val
| ) |  |

static

Definition at line 409 of file alFilter.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitFilterParams().

static void null_SetParamfv | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALfloat * | vals
| ) |  |

static

Definition at line 411 of file alFilter.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitFilterParams().

static void null_SetParami | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | ALint | val
| ) |  |

static

Definition at line 405 of file alFilter.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitFilterParams().

static void null_SetParamiv | ( | ALfilter * | filter,
|  | ALCcontext * | context,
|  | ALenum | param,
|  | const ALint * | vals
| ) |  |

static

Definition at line 407 of file alFilter.c.

References AL_INVALID_ENUM, and alSetError().

Referenced by InitFilterParams().

ALvoid ReleaseALFilters | ( | ALCdevice * | device | ) |

Definition at line 424 of file alFilter.c.

References UIntMap::array, ALCdevice_struct::FilterMap, free, FreeThunkEntry(), i, ALfilter::id, memset, NULL, UIntMap::size, and UIntMap::value.

Referenced by FreeDevice().